Read-only preview
You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
SVM Tokens
Token Metadata
Provides SVM token contract metadata.
GET
https://token-api.service.pinax.network/v1/svm/tokens
Requires bearer token — sign in to inject your team’s key.
Supported networks (1)
Required parameters
| Name | Type | Description |
|---|---|---|
networkrequired query | Enum · 1 | The Graph Network ID for SVM networks https://thegraph.com/networks solana e.g. solana |
Optional parameters
| Name | Type | Description |
|---|---|---|
mint query | Mint | Filter by mint address Single value or array of values* (separate multiple values with `,`) *Plan restricted. e.g. So11111111111111111111111111111111111111112 |
Response
200 OK{ "data": [ { "last_update": "2026-04-15 18:17:13", "last_update_block_num": 413435645, "last_update_timestamp": 1776277033, "program_id": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA", "mint": "So11111111111111111111111111111111111111112", "circulating_supply": 3549470253.660017, "holders": 30220960, "decimals": 9, "name": "Wrapped SOL", "symbol": "SOL", "uri": "", "network": "solana" } ] }